#include <vector>
#include <string>
#include <iostream>

void lex_file(const char* const f);
void lex_row(std::vector<std::string> &v, unsigned &head);

extern unsigned long long instruction_counter;

